---
title: URLUtilsReadOnly.pathname
slug: Web/API/URLUtilsReadOnly/pathname
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Property
  - Read-only
  - URL API
  - URLUtilsReadOnly
---
<p>{{ApiRef("URL API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>URLUtilsReadOnly</strong></code><strong><code>.pathname</code></strong> read-only property returns a {{domxref("USVString")}} containing an initial <code>'/'</code> followed by the path of the URL, not including the query string or fragment.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>string</em> = <em>object</em>.pathname;</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// In a Web worker, on the page https://developer.mozilla.org/en-US/URLUtilsReadOnly.pathname
var result = window.self.pathname; // Returns:'/en-US/URLUtilsReadOnly.pathname'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('URL', '#dom-url-pathname', 'URLUtilsReadOnly.pathname')}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URLUtilsReadOnly.pathname")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URLUtilsReadOnly")}} interface it belongs to.</li>
</ul>
